'Data Types

'PeakAvail
'OffPeakAvail
'PeakUsed
'OffPeakUsed
'ExpiryDate


TMP_FILE = "c:\temp\netspace.ini"

Function GetDate
	GetDate = GetINIString("Usage", "ExpiryDate", "-", TMP_FILE)
End Function


Function GetUsedPeak
	GetUsedPeak = GetINIString("Usage", "PeakUsed", "-", TMP_FILE)
End Function

Function GetUsedOffPeak
	GetUsedOffPeak = GetINIString("Usage", "OffPeakUsed", "-", TMP_FILE)
End Function

Function GetAvailPeak
	GetAvailPeak = GetINIString("Usage", "PeakAvail", "-", TMP_FILE)
End Function

Function GetAvailOffPeak
	GetAvailOffPeak = GetINIString("Usage", "OffPeakAvail", "-", TMP_FILE)
End Function


Function GetPercentPeak
	PeakAvail = CLng(GetINIString("Usage", "PeakAvail", "-",TMP_FILE))
	PeakUsed = CLng(GetINIString("Usage", "PeakUsed", "-",TMP_FILE))
	Total = PeakAvail + PeakUsed
	GetPercentPeak = (PeakUsed / Total) * 100
End Function

Function GetPercentOffPeak
	OffPeakAvail = CLng(GetINIString("Usage", "OffPeakAvail", "-",TMP_FILE))
	OffPeakUsed = CLng(GetINIString("Usage", "OffPeakUsed", "-",TMP_FILE))
	Total = OffPeakAvail + OffPeakUsed
	GetPercentOffPeak = (OffPeakUsed / Total) * 100
End Function

 

Private Function GetINIStringVirtual(Section, KeyName, Default, FileName)
  GetINIStringVirtual = GetINIString(Section, KeyName, Default, _
    Server.MapPath(FileName))
End Function 


Private Function GetINIString(Section, KeyName, Default, FileName)
  Dim INIContents, PosSection, PosEndSection, sContents, Value, Found
  
  'Get contents of the INI file As a string
  INIContents = GetFile(FileName)

  'Find section
  PosSection = InStr(1, INIContents, "[" & Section & "]", vbTextCompare)
  If PosSection>0 Then
    'Section exists. Find end of section
    PosEndSection = InStr(PosSection, INIContents, vbCrLf & "[")
    '?Is this last section?
    If PosEndSection = 0 Then PosEndSection = Len(INIContents)+1
    
    'Separate section contents
    sContents = Mid(INIContents, PosSection, PosEndSection - PosSection)

    If InStr(1, sContents, vbCrLf & KeyName & "=", vbTextCompare)>0 Then
      Found = True
      'Separate value of a key.
      Value = SeparateField(sContents, vbCrLf & KeyName & "=", vbCrLf)
    End If
  End If
  If isempty(Found) Then Value = Default
  GetINIString = Value
End Function

'Separates one field between sStart And sEnd
Private Function SeparateField(ByVal sFrom, ByVal sStart, ByVal sEnd)
  Dim PosB: PosB = InStr(1, sFrom, sStart, 1)
  If PosB > 0 Then
    PosB = PosB + Len(sStart)
    Dim PosE: PosE = InStr(PosB, sFrom, sEnd, 1)
    If PosE = 0 Then PosE = InStr(PosB, sFrom, vbCrLf, 1)
    If PosE = 0 Then PosE = Len(sFrom) + 1
    SeparateField = Mid(sFrom, PosB, PosE - PosB)
  End If
End Function


'File functions
Private Function GetFile(ByVal FileName)
  Dim FS: Set FS = CreateObject("Scripting.FileSystemObject")
  'Go To windows folder If full path Not specified.
  If InStr(FileName, ":\") = 0 And Left (FileName,2)<>"\\" Then 
    FileName = FS.GetSpecialFolder(0) & "\" & FileName
  End If
  On Error Resume Next

  GetFile = FS.OpenTextFile(FileName).ReadAll
End Function

Private Function WriteFile(ByVal FileName, ByVal Contents)
  
  Dim FS: Set FS = CreateObject("Scripting.FileSystemObject")
  'On Error Resume Next

  'Go To windows folder If full path Not specified.
  If InStr(FileName, ":\") = 0 And Left (FileName,2)<>"\\" Then 
    FileName = FS.GetSpecialFolder(0) & "\" & FileName
  End If

  Dim OutStream: Set OutStream = FS.OpenTextFile(FileName, 2, True)
  OutStream.Write Contents
End Function

 
